/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct TopDm {
    #[serde(rename = "post_count", skip_serializing_if = "Option::is_none")]
    pub post_count: Option<i64>,
    #[serde(
        rename = "outgoing_message_count",
        skip_serializing_if = "Option::is_none"
    )]
    pub outgoing_message_count: Option<i64>,
    #[serde(rename = "second_participant", skip_serializing_if = "Option::is_none")]
    pub second_participant: Option<Box<crate::openapi::models::TopDmInsightUserInformation>>,
}

impl TopDm {
    pub fn new() -> TopDm {
        TopDm {
            post_count: None,
            outgoing_message_count: None,
            second_participant: None,
        }
    }
}
